object MainForm: TMainForm
  Left = 204
  Top = 235
  Width = 1492
  Height = 853
  Caption = 
    'USB Firmware 2.0 Diagnostic and Control Utility (Engineering Tes' +
    't) v1.0b'
  Color = clBtnFace
  Constraints.MinHeight = 853
  Constraints.MinWidth = 1492
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnClose = FormClose
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  PixelsPerInch = 96
  TextHeight = 13
  object ReadUSR: TButton
    Left = 363
    Top = 4
    Width = 75
    Height = 25
    Hint = 'Read EEPROM from $1E00 to $1E1F'
    Caption = 'Read USR'
    TabOrder = 0
    OnClick = ReadUSRClick
  end
  object ReadDEFRaw: TButton
    Left = 191
    Top = 4
    Width = 162
    Height = 25
    Hint = 'Reads the DEF struct from EEPROM'
    Caption = 'Read EEPROM DEF'
    TabOrder = 1
    OnClick = ReadDEFRawClick
  end
  object ReadPNP: TButton
    Left = 13
    Top = 4
    Width = 164
    Height = 25
    Hint = 'Click Once before anything else per card'
    Caption = 'Read PNP+DEF'
    TabOrder = 2
    OnClick = ReadPNPClick
  end
  object GroupBox1: TGroupBox
    Left = 0
    Top = 655
    Width = 1476
    Height = 141
    Align = alBottom
    Caption = 'Generic Vendor Request Tool '
    TabOrder = 3
    object Label3: TLabel
      Left = 8
      Top = 16
      Width = 49
      Height = 17
      Alignment = taCenter
      AutoSize = False
      Caption = 'Request'
    end
    object Label4: TLabel
      Left = 56
      Top = 16
      Width = 57
      Height = 17
      Alignment = taCenter
      AutoSize = False
      Caption = 'Value'
    end
    object Label5: TLabel
      Left = 120
      Top = 16
      Width = 57
      Height = 17
      Alignment = taCenter
      AutoSize = False
      Caption = 'Index'
    end
    object Label6: TLabel
      Left = 184
      Top = 16
      Width = 1057
      Height = 17
      Alignment = taCenter
      Anchors = [akLeft, akTop, akRight]
      AutoSize = False
      Caption = 'Write Data'
    end
    object Label7: TLabel
      Left = 1339
      Top = 16
      Width = 49
      Height = 17
      Alignment = taCenter
      Anchors = [akTop, akRight]
      AutoSize = False
      Caption = 'Length'
    end
    object WriteLenLabel: TLabel
      Left = 1347
      Top = 32
      Width = 33
      Height = 25
      Alignment = taCenter
      Anchors = [akTop, akRight]
      AutoSize = False
      Caption = '0'
      Layout = tlCenter
    end
    object SuccLabel: TLabel
      Left = 2
      Top = 122
      Width = 1472
      Height = 17
      Align = alBottom
      AutoSize = False
      Layout = tlCenter
    end
    object ReqEdit: TEdit
      Left = 16
      Top = 32
      Width = 33
      Height = 25
      AutoSize = False
      CharCase = ecUpperCase
      TabOrder = 0
      Text = '00'
      OnKeyPress = EditKeyPress
    end
    object ValueEdit: TEdit
      Left = 56
      Top = 32
      Width = 57
      Height = 25
      AutoSize = False
      CharCase = ecUpperCase
      TabOrder = 1
      Text = '0000'
    end
    object IndexEdit: TEdit
      Left = 120
      Top = 32
      Width = 57
      Height = 25
      AutoSize = False
      CharCase = ecUpperCase
      TabOrder = 2
      Text = '0000'
    end
    object WriteButton: TButton
      Left = 1387
      Top = 32
      Width = 73
      Height = 25
      Anchors = [akTop, akRight]
      Caption = '&Write'
      TabOrder = 3
      OnClick = WriteButtonClick
    end
    object ReadButton: TButton
      Left = 1387
      Top = 64
      Width = 73
      Height = 25
      Anchors = [akTop, akRight]
      Caption = '&Read'
      TabOrder = 4
      OnClick = ReadButtonClick
    end
    object ReadLenEdit: TEdit
      Left = 1347
      Top = 64
      Width = 33
      Height = 25
      Anchors = [akTop, akRight]
      AutoSize = False
      CharCase = ecUpperCase
      TabOrder = 5
      Text = '0'
    end
    object WriteDataEdit: TEdit
      Left = 184
      Top = 32
      Width = 1146
      Height = 25
      Anchors = [akLeft, akTop, akRight]
      AutoSize = False
      CharCase = ecUpperCase
      TabOrder = 6
      OnChange = WriteDataEditChange
    end
    object ReadDataEdit: TEdit
      Left = 16
      Top = 64
      Width = 1314
      Height = 25
      Anchors = [akLeft, akTop, akRight]
      AutoSize = False
      CharCase = ecUpperCase
      ReadOnly = True
      TabOrder = 7
    end
    object SaveButton: TButton
      Left = 16
      Top = 88
      Width = 97
      Height = 25
      Caption = 'Save As Defaults'
      TabOrder = 8
      OnClick = SaveButtonClick
    end
    object AutosaveCheck: TCheckBox
      Left = 120
      Top = 88
      Width = 177
      Height = 25
      Caption = 'Autosave As Defaults'
      Checked = True
      State = cbChecked
      TabOrder = 9
    end
  end
  object SetDefaults: TButton
    Left = 12
    Top = 626
    Width = 185
    Height = 25
    Anchors = [akLeft, akBottom]
    Caption = 'Write Setup Into EEPROM (DEF)'
    TabOrder = 4
    OnClick = SetDefaultsClick
  end
  object RestoreDefaults: TButton
    Left = 204
    Top = 626
    Width = 185
    Height = 25
    Anchors = [akLeft, akBottom]
    Caption = 'Restore Factory Defaults (DEF)'
    TabOrder = 5
    OnClick = RestoreDefaultsClick
  end
  object WatchdogVR: TButton
    Left = 412
    Top = 626
    Width = 177
    Height = 25
    Anchors = [akLeft, akBottom]
    Caption = 'Setup Watchdog VR'
    TabOrder = 6
    OnClick = WatchdogVRClick
  end
  object WatchdogEEPROMVR: TButton
    Left = 604
    Top = 626
    Width = 177
    Height = 25
    Anchors = [akLeft, akBottom]
    Caption = 'Setup Watchdog VR with EEPROM'
    TabOrder = 7
    OnClick = WatchdogEEPROMVRClick
  end
  object docMemo: TMemo
    Left = 456
    Top = 96
    Width = 481
    Height = 225
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'Lucida Console'
    Font.Style = []
    Lines.Strings = (
      
        'Welcome to the Engineering Utility for the new "Firmware 2.0" up' +
        'date for our USB Data Acquisition product line.'
      ''
      
        'The Firmware 2.0 update adds many features to virtually every US' +
        'B DAQ board.  These features are known internally by TLAs (three' +
        ' letter acronyms) as follows:'
      ''
      'DEF: Power-on Defaults'
      'WDG: Watchdog Timer'
      'MAP: Digital Mapping Matrix'
      
        'CLN: Cleanup.  This unifies many firmware features in a new sour' +
        'ce library'
      'PNP: A new "plug and play" data struct'
      'PWR: update the firmwares to report 500mA power requirement'
      'PWM: Pulse Width Modifiable digital outputs'
      'DEB: digital I/O bits can configured for a "debounced" mode'
      'LATCH: Digital inputs can have configurable latches enabled'
      ''
      ''
      
        'This engineering utility will attempt to provide test and evalua' +
        'tion tools for these features.'
      ' ')
    ParentFont = False
    ScrollBars = ssBoth
    TabOrder = 8
  end
  object pnpMemo: TMemo
    Left = 456
    Top = 8
    Width = 481
    Height = 81
    Hint = 'Card Detection Status information'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -16
    Font.Name = 'Lucida Console'
    Font.Style = []
    ParentFont = False
    ScrollBars = ssVertical
    TabOrder = 9
  end
  object dioVR: TButton
    Left = 1260
    Top = 322
    Width = 137
    Height = 25
    Anchors = [akLeft, akBottom]
    Caption = 'Setup DIO VR'
    TabOrder = 10
    OnClick = dioVRClick
  end
  object dioConfigVR: TButton
    Left = 1260
    Top = 394
    Width = 137
    Height = 25
    Anchors = [akLeft, akBottom]
    Caption = 'Setup DIOConfig VR'
    TabOrder = 11
    OnClick = dioConfigVRClick
  end
  object StatusBar1: TStatusBar
    Left = 0
    Top = 796
    Width = 1476
    Height = 19
    Panels = <>
    ParentShowHint = False
    ShowHint = True
    SimplePanel = False
  end
  object ctrPanel: TGroupBox
    Left = 8
    Top = 528
    Width = 441
    Height = 81
    Anchors = [akLeft, akBottom]
    Caption = 'Counter Tools'
    Enabled = False
    TabOrder = 13
    object Label8: TLabel
      Left = 240
      Top = 0
      Width = 55
      Height = 13
      Caption = 'Target Freq'
    end
    object Label9: TLabel
      Left = 328
      Top = 0
      Width = 83
      Height = 13
      Caption = 'Actual Frequency'
    end
    object Label10: TLabel
      Left = 288
      Top = 40
      Width = 7
      Height = 13
      Caption = 'B'
    end
    object Label11: TLabel
      Left = 320
      Top = 40
      Width = 7
      Height = 13
      Caption = 'C'
    end
    object Label12: TLabel
      Left = 352
      Top = 40
      Width = 16
      Height = 13
      Caption = 'M#'
    end
    object Label13: TLabel
      Left = 392
      Top = 40
      Width = 24
      Height = 13
      Caption = 'Load'
    end
    object StartOutputFrequency: TButton
      Left = 16
      Top = 15
      Width = 177
      Height = 25
      Caption = 'CTR StartOutputFrequency'
      TabOrder = 0
      OnClick = StartOutputFrequencyClick
    end
    object ctrModeLost: TButton
      Left = 16
      Top = 48
      Width = 105
      Height = 25
      Caption = 'CTR Mode + Load'
      TabOrder = 1
      OnClick = ctrModeLostClick
    end
    object ctrModeOnly: TButton
      Left = 128
      Top = 48
      Width = 105
      Height = 25
      Caption = 'Mode Only'
      TabOrder = 2
      OnClick = ctrModeOnlyClick
    end
    object ctrBlockEdit: TEdit
      Left = 280
      Top = 52
      Width = 25
      Height = 21
      Hint = 'CTR Block Index'
      TabOrder = 3
      Text = '0'
    end
    object ctrEdit: TEdit
      Left = 312
      Top = 52
      Width = 25
      Height = 21
      Hint = 'CTR Counter Index'
      TabOrder = 4
      Text = '0'
    end
    object ctrModeEdit: TEdit
      Left = 344
      Top = 52
      Width = 25
      Height = 21
      Hint = 'CTR Mode Number (not mode byte)'
      TabOrder = 5
      Text = '2'
    end
    object ctrLoadEdit: TEdit
      Left = 376
      Top = 52
      Width = 49
      Height = 21
      Hint = 'CTR Load Value'
      TabOrder = 6
      Text = '0000'
    end
    object actualFreqEdit: TEdit
      Left = 328
      Top = 14
      Width = 105
      Height = 21
      ReadOnly = True
      TabOrder = 7
      Text = '10000.0'
    end
    object freqEdit: TEdit
      Left = 240
      Top = 14
      Width = 81
      Height = 21
      TabOrder = 8
      Text = '100000.0'
    end
  end
  object dioBox: TGroupBox
    Left = 944
    Top = 8
    Width = 534
    Height = 145
    Anchors = [akLeft, akTop, akRight]
    Caption = 'DIO_ReadAll() '
    TabOrder = 14
    object dioLabel: TLabel
      Left = 2
      Top = 15
      Width = 530
      Height = 128
      Align = alClient
      Alignment = taCenter
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -19
      Font.Name = 'Lucida Console'
      Font.Style = [fsBold]
      ParentFont = False
      Layout = tlCenter
    end
    object dioCB: TCheckBox
      Left = 81
      Top = -1
      Width = 72
      Height = 17
      Alignment = taLeftJustify
      Caption = 'Enabled'
      TabOrder = 0
      OnClick = dioCBClick
    end
    object ltchCB: TCheckBox
      Left = 200
      Top = -2
      Width = 73
      Height = 17
      Caption = 'Latched'
      Enabled = False
      TabOrder = 1
    end
    object debCB: TCheckBox
      Left = 280
      Top = -2
      Width = 81
      Height = 17
      Caption = 'Debounced'
      Enabled = False
      TabOrder = 2
    end
  end
  object ctrBox: TGroupBox
    Left = 944
    Top = 160
    Width = 289
    Height = 161
    Caption = 'CTR_8254ReadAll(I)'
    TabOrder = 15
    object ctrLabel: TLabel
      Left = 2
      Top = 15
      Width = 285
      Height = 144
      Align = alClient
      Alignment = taCenter
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -16
      Font.Name = 'Lucida Console'
      Font.Style = [fsBold]
      ParentFont = False
      Layout = tlCenter
    end
    object ctrCB: TCheckBox
      Left = 112
      Top = -1
      Width = 57
      Height = 17
      Alignment = taLeftJustify
      Caption = 'Enabled'
      TabOrder = 0
    end
  end
  object LATCHPanel: TGroupBox
    Left = 456
    Top = 528
    Width = 161
    Height = 73
    Caption = 'LATCH Config'
    TabOrder = 16
    object Label14: TLabel
      Left = 11
      Top = 24
      Width = 112
      Height = 13
      Caption = 'Tick Divisor (hex 00-FF)'
    end
    object latchEdit: TEdit
      Left = 16
      Top = 40
      Width = 41
      Height = 21
      TabOrder = 0
      Text = '0'
      OnKeyPress = EditKeyPress
    end
    object latchBtn: TButton
      Left = 64
      Top = 37
      Width = 75
      Height = 25
      Caption = 'Config'
      TabOrder = 1
      OnClick = latchBtnClick
    end
  end
  object DEBPanel: TGroupBox
    Left = 456
    Top = 408
    Width = 161
    Height = 113
    Caption = 'DEBounce Config'
    TabOrder = 17
    object Label15: TLabel
      Left = 11
      Top = 24
      Width = 112
      Height = 13
      Caption = 'Tick Divisor (hex 00-FF)'
    end
    object Label16: TLabel
      Left = 14
      Top = 64
      Width = 94
      Height = 13
      Caption = 'Timeconstant 00-FF'
    end
    object debTickEdit: TEdit
      Left = 16
      Top = 40
      Width = 41
      Height = 21
      TabOrder = 0
      Text = '0'
      OnKeyPress = EditKeyPress
    end
    object Button1: TButton
      Left = 64
      Top = 77
      Width = 75
      Height = 25
      Caption = 'Config'
      TabOrder = 1
      OnClick = Button1Click
    end
    object debTimeEdit: TEdit
      Left = 16
      Top = 80
      Width = 41
      Height = 21
      TabOrder = 2
      Text = '0'
      OnKeyPress = EditKeyPress
    end
  end
  object GlobalTickPanel: TGroupBox
    Left = 456
    Top = 328
    Width = 161
    Height = 73
    Caption = 'Global Tick Config'
    Color = clBtnFace
    ParentColor = False
    TabOrder = 18
    object Label17: TLabel
      Left = 8
      Top = 16
      Width = 144
      Height = 13
      Caption = 'Global Tick Divisor FB4F-0001'
    end
    object globalTickEdit: TEdit
      Left = 3
      Top = 35
      Width = 65
      Height = 21
      TabOrder = 0
      Text = '0'
      OnKeyPress = EditKeyPress
    end
    object Button2: TButton
      Left = 80
      Top = 32
      Width = 75
      Height = 25
      Caption = 'Config'
      TabOrder = 1
      OnClick = Button2Click
    end
  end
  object pwmPanel: TGroupBox
    Left = 656
    Top = 328
    Width = 281
    Height = 291
    Anchors = [akLeft, akTop, akBottom]
    Caption = 'PWM Config ( all numbers decimal! ) '
    TabOrder = 19
    object Label18: TLabel
      Left = 16
      Top = 50
      Width = 39
      Height = 13
      Caption = 'bit index'
    end
    object Label19: TLabel
      Left = 70
      Top = 50
      Width = 33
      Height = 13
      Caption = 'Invert?'
    end
    object Label20: TLabel
      Left = 16
      Top = 16
      Width = 86
      Height = 13
      Caption = 'Tick Divisor 0-255'
    end
    object Label21: TLabel
      Left = 116
      Top = 50
      Width = 48
      Height = 13
      Caption = 'duty cycle'
    end
    object Label22: TLabel
      Left = 190
      Top = 56
      Width = 46
      Height = 13
      Caption = 'Count 0-8'
    end
    object pwmTickEdit: TEdit
      Left = 16
      Top = 28
      Width = 49
      Height = 21
      TabOrder = 0
      Text = '200'
      OnKeyPress = EditKeyPress
    end
    object pwmCountEdit: TEdit
      Left = 190
      Top = 68
      Width = 49
      Height = 21
      TabOrder = 1
      Text = '8'
      OnKeyPress = EditKeyPress
    end
    object pwmConfigButton: TButton
      Left = 190
      Top = 93
      Width = 83
      Height = 25
      Caption = 'Config'
      TabOrder = 2
      OnClick = pwmConfigButtonCick
    end
    object pwmSetCountButton: TButton
      Left = 190
      Top = 21
      Width = 83
      Height = 25
      Caption = 'Set Tick Only'
      TabOrder = 3
      OnClick = pwmSetCountButtonClick
    end
    object pwmDebugMemo: TMemo
      Left = 190
      Top = 128
      Width = 83
      Height = 155
      Anchors = [akLeft, akTop, akBottom]
      TabOrder = 4
    end
    object pwmSB: TScrollBox
      Left = 8
      Top = 64
      Width = 177
      Height = 219
      VertScrollBar.Tracking = True
      Anchors = [akLeft, akTop, akBottom]
      BorderStyle = bsNone
      TabOrder = 5
    end
  end
  object mapPanel: TGroupBox
    Left = 944
    Top = 328
    Width = 289
    Height = 323
    Anchors = [akLeft, akTop, akBottom]
    Caption = 'MAP Config'
    TabOrder = 20
    object Label27: TLabel
      Left = 16
      Top = 16
      Width = 86
      Height = 13
      Caption = 'Tick Divisor 0-255'
    end
    object Label26: TLabel
      Left = 192
      Top = 56
      Width = 52
      Height = 13
      Caption = 'Count 0-32'
    end
    object Label25: TLabel
      Left = 132
      Top = 50
      Width = 28
      Height = 13
      Caption = 'dst bit'
    end
    object Label24: TLabel
      Left = 70
      Top = 50
      Width = 33
      Height = 13
      Caption = 'Invert?'
    end
    object Label23: TLabel
      Left = 16
      Top = 50
      Width = 28
      Height = 13
      Caption = 'src bit'
    end
    object mapSB: TScrollBox
      Left = 8
      Top = 64
      Width = 177
      Height = 257
      VertScrollBar.Tracking = True
      Anchors = [akLeft, akTop, akBottom]
      BorderStyle = bsNone
      TabOrder = 0
    end
    object mapTickEdit: TEdit
      Left = 16
      Top = 30
      Width = 49
      Height = 21
      TabOrder = 1
      Text = '200'
    end
    object mapCountEdit: TEdit
      Left = 192
      Top = 68
      Width = 41
      Height = 21
      TabOrder = 2
      Text = '1'
    end
    object mapSetCountButton: TButton
      Left = 190
      Top = 21
      Width = 83
      Height = 25
      Caption = 'Set Tick  Only'
      TabOrder = 3
      OnClick = mapSetCountButtonClick
    end
    object mapDebugMemo: TMemo
      Left = 190
      Top = 128
      Width = 96
      Height = 190
      Anchors = [akLeft, akTop, akBottom]
      ScrollBars = ssVertical
      TabOrder = 4
    end
    object mapConfigButton: TButton
      Left = 190
      Top = 93
      Width = 83
      Height = 25
      Caption = 'Config'
      TabOrder = 5
      OnClick = mapConfigButtonClick
    end
  end
  object GroupBox2: TGroupBox
    Left = 1240
    Top = 160
    Width = 233
    Height = 97
    Caption = 'Generic EEPROM Tools '
    TabOrder = 21
    object Label1: TLabel
      Left = 13
      Top = 21
      Width = 119
      Height = 13
      Caption = 'EEprom Addr (0 to 1FFF):'
    end
    object Label2: TLabel
      Left = 13
      Top = 58
      Width = 74
      Height = 13
      Caption = 'Data (00 to FF):'
    end
    object addrEdit: TEdit
      Left = 13
      Top = 37
      Width = 121
      Height = 21
      Hint = 
        'Location in EEPROM to Read, or Write.  Must be in Hex, between 0' +
        ' and 1FFF'
      TabOrder = 0
      Text = '1FFF'
      OnKeyPress = EditKeyPress
    end
    object dataEdit: TEdit
      Left = 13
      Top = 72
      Width = 121
      Height = 21
      Hint = 'Value to Write to EEPROM'
      TabOrder = 1
      Text = '00'
      OnKeyPress = EditKeyPress
    end
    object readBtn: TButton
      Left = 143
      Top = 36
      Width = 79
      Height = 25
      Hint = 'READ BYTE from EEPROM'
      Caption = 'Read Byte'
      TabOrder = 2
      OnClick = readBtnClick
    end
    object writeBtn: TButton
      Left = 141
      Top = 68
      Width = 81
      Height = 25
      Hint = 'WRITE BYTE to EEPROM'
      Caption = 'Write Byte'
      TabOrder = 3
      OnClick = writeBtnClick
    end
  end
  object PageControl1: TPageControl
    Left = 8
    Top = 32
    Width = 441
    Height = 489
    ActivePage = DEFtabsheet
    TabOrder = 22
    object DEFtabsheet: TTabSheet
      Caption = 'DEF IO'
      object iostructGB: TGroupBox
        Left = 0
        Top = 4
        Width = 425
        Height = 465
        Caption = 'IO_STRUCT'
        TabOrder = 0
        object iostructdioconLabel: TLabel
          Left = 4
          Top = 16
          Width = 143
          Height = 13
          Caption = 'DIO Control Bytes 0 through N'
        end
        object iostructdiobytesLabel: TLabel
          Left = 4
          Top = 56
          Width = 133
          Height = 13
          Caption = 'DIO Data Bytes 0 through N'
        end
        object Label28: TLabel
          Left = 16
          Top = 104
          Width = 55
          Height = 13
          Caption = 'ADC Config'
        end
        object Label29: TLabel
          Left = 96
          Top = 104
          Width = 57
          Height = 13
          Caption = '8254 Config'
        end
        object Label30: TLabel
          Left = 312
          Top = 104
          Width = 55
          Height = 13
          Caption = 'DAC Config'
        end
        object _8254SB: TScrollBox
          Left = 80
          Top = 120
          Width = 217
          Height = 337
          VertScrollBar.Tracking = True
          TabOrder = 0
        end
        object adcSB: TScrollBox
          Left = 8
          Top = 120
          Width = 65
          Height = 337
          VertScrollBar.Tracking = True
          TabOrder = 1
        end
        object dacSB: TScrollBox
          Left = 304
          Top = 120
          Width = 113
          Height = 337
          VertScrollBar.Tracking = True
          TabOrder = 2
        end
        object defButton: TButton
          Left = 312
          Top = 16
          Width = 105
          Height = 25
          Caption = 'Config RAM DEF'
          TabOrder = 3
          OnClick = defButtonClick
        end
        object def_DACSetEdit: TEdit
          Left = 376
          Top = 88
          Width = 41
          Height = 21
          TabOrder = 4
          Text = '0'
        end
      end
    end
    object wdgtabsheet: TTabSheet
      Caption = 'WDG IO'
      ImageIndex = 1
      object WDG_GB: TGroupBox
        Left = 0
        Top = 4
        Width = 425
        Height = 465
        Caption = 'IO_STRUCT'
        TabOrder = 0
        object WDGiostructdioconLabel: TLabel
          Left = 4
          Top = 16
          Width = 143
          Height = 13
          Caption = 'DIO Control Bytes 0 through N'
        end
        object WDGiostructdiobytesLabel: TLabel
          Left = 4
          Top = 56
          Width = 133
          Height = 13
          Caption = 'DIO Data Bytes 0 through N'
        end
        object Label33: TLabel
          Left = 16
          Top = 104
          Width = 55
          Height = 13
          Caption = 'ADC Config'
        end
        object Label34: TLabel
          Left = 96
          Top = 104
          Width = 57
          Height = 13
          Caption = '8254 Config'
        end
        object Label35: TLabel
          Left = 312
          Top = 104
          Width = 55
          Height = 13
          Caption = 'DAC Config'
        end
        object Label31: TLabel
          Left = 320
          Top = 8
          Width = 91
          Height = 13
          Caption = 'Watchdog Timeout'
        end
        object WDG_8254SB: TScrollBox
          Left = 80
          Top = 120
          Width = 217
          Height = 337
          VertScrollBar.Tracking = True
          TabOrder = 0
        end
        object WDGadcSB: TScrollBox
          Left = 8
          Top = 120
          Width = 65
          Height = 337
          VertScrollBar.Tracking = True
          TabOrder = 1
        end
        object WDGdacSB: TScrollBox
          Left = 304
          Top = 120
          Width = 113
          Height = 337
          VertScrollBar.Tracking = True
          TabOrder = 2
        end
        object wdgButton: TButton
          Left = 304
          Top = 48
          Width = 107
          Height = 25
          Caption = 'Config RAM WDG'
          TabOrder = 3
          OnClick = wdgButtonClick
        end
        object wdgSecondsEdit: TEdit
          Left = 320
          Top = 24
          Width = 89
          Height = 21
          TabOrder = 4
          Text = '0000'
        end
        object wdg_DACSetEdit: TEdit
          Left = 376
          Top = 88
          Width = 41
          Height = 21
          TabOrder = 5
          Text = '0'
        end
      end
    end
    object TabSheet1: TTabSheet
      Caption = 'DEBUG TEXT'
      ImageIndex = 2
      object ListData: TMemo
        Left = 0
        Top = 0
        Width = 433
        Height = 461
        Align = alClient
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'Lucida Console'
        Font.Style = []
        ParentFont = False
        ScrollBars = ssVertical
        TabOrder = 0
      end
      object ListClear: TButton
        Left = 390
        Top = 4
        Width = 19
        Height = 25
        Caption = 'X'
        TabOrder = 1
        OnClick = ListClearClick
      end
    end
  end
  object RestoreTime: TTimer
    Enabled = False
    Interval = 500
    OnTimer = RestoreTimeTimer
    Left = 493
    Top = 8
  end
  object pnpTimer: TTimer
    Tag = 1
    Interval = 500
    OnTimer = pnpTimerTimer
    Left = 461
    Top = 8
  end
  object daqTimer: TTimer
    Interval = 1
    OnTimer = daqTimerTimer
    Left = 1152
    Top = 144
  end
end
