object USB_EEPROM_Utility: TUSB_EEPROM_Utility
  Left = 363
  Top = 157
  Width = 1680
  Height = 916
  Caption = 
    'USB Firmware 2.0 Diagnostic and Control Utility (Engineering Tes' +
    't) v1.0b'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnClose = FormClose
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  PixelsPerInch = 96
  TextHeight = 13
  object Label1: TLabel
    Left = 13
    Top = 5
    Width = 119
    Height = 13
    Caption = 'EEprom Addr (0 to 1FFF):'
  end
  object Label2: TLabel
    Left = 13
    Top = 42
    Width = 74
    Height = 13
    Caption = 'Data (00 to FF):'
  end
  object addrEdit: TEdit
    Left = 13
    Top = 21
    Width = 121
    Height = 21
    Hint = 
      'Location in EEPROM to Read, or Write.  Must be in Hex, between 0' +
      ' and 1FFF'
    TabOrder = 0
    Text = '1FFF'
    OnKeyPress = addrEditKeyPress
  end
  object dataEdit: TEdit
    Left = 13
    Top = 56
    Width = 121
    Height = 21
    Hint = 'Value to Write to EEPROM'
    TabOrder = 1
    Text = '00'
  end
  object readBtn: TButton
    Left = 143
    Top = 20
    Width = 79
    Height = 25
    Hint = 'READ BYTE from EEPROM'
    Caption = 'Read Byte'
    TabOrder = 2
    OnClick = readBtnClick
  end
  object writeBtn: TButton
    Left = 141
    Top = 52
    Width = 81
    Height = 25
    Hint = 'WRITE BYTE to EEPROM'
    Caption = 'Write Byte'
    TabOrder = 3
    OnClick = writeBtnClick
  end
  object ListData: TMemo
    Left = 13
    Top = 80
    Width = 433
    Height = 600
    Anchors = [akLeft, akTop, akBottom]
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'Lucida Console'
    Font.Style = []
    ParentFont = False
    ScrollBars = ssVertical
    TabOrder = 4
  end
  object ReadUSR: TButton
    Left = 371
    Top = 20
    Width = 75
    Height = 25
    Hint = 'Read EEPROM from $1E00 to $1EFF'
    Caption = 'Read USR'
    TabOrder = 5
    OnClick = ReadUSRClick
  end
  object ReadDEF: TButton
    Left = 295
    Top = 52
    Width = 73
    Height = 25
    Hint = 
      'Read the DEF data from EEPROM at $1F00 (Power on Default configu' +
      'ration)'
    Caption = 'Read DEF'
    TabOrder = 6
    OnClick = ReadDEFClick
  end
  object ReadWDG: TButton
    Left = 371
    Top = 52
    Width = 75
    Height = 25
    Hint = 
      'Read the WDG data from EEPROM at $1D80 (LEN then SecondsLSB, Sec' +
      'onds MSB, then output data which BARK will assert)'
    Caption = 'Read WDG'
    TabOrder = 7
    OnClick = ReadWDGClick
  end
  object ReadMAP: TButton
    Left = 295
    Top = 20
    Width = 73
    Height = 25
    Hint = 
      'Reads the MAP: Mapping Matrix source bit and dest bit pairs, fro' +
      'm the top of EEPROM '
    Caption = 'Read MAP'
    TabOrder = 8
    OnClick = ReadMAPClick
  end
  object ReadPNP: TButton
    Left = 224
    Top = 52
    Width = 70
    Height = 25
    Caption = 'Read PNP'
    Enabled = False
    TabOrder = 9
  end
  object ListClear: TButton
    Left = 408
    Top = 84
    Width = 19
    Height = 25
    Caption = 'X'
    TabOrder = 10
    OnClick = ListClearClick
  end
  object GroupBox1: TGroupBox
    Left = 0
    Top = 718
    Width = 1664
    Height = 141
    Align = alBottom
    Caption = 'Generic Vendor Request Tool '
    TabOrder = 11
    object Label3: TLabel
      Left = 8
      Top = 16
      Width = 49
      Height = 17
      Alignment = taCenter
      AutoSize = False
      Caption = 'Request'
    end
    object Label4: TLabel
      Left = 56
      Top = 16
      Width = 57
      Height = 17
      Alignment = taCenter
      AutoSize = False
      Caption = 'Value'
    end
    object Label5: TLabel
      Left = 120
      Top = 16
      Width = 57
      Height = 17
      Alignment = taCenter
      AutoSize = False
      Caption = 'Index'
    end
    object Label6: TLabel
      Left = 184
      Top = 16
      Width = 1247
      Height = 17
      Alignment = taCenter
      Anchors = [akLeft, akTop, akRight]
      AutoSize = False
      Caption = 'Write Data'
    end
    object Label7: TLabel
      Left = 1529
      Top = 16
      Width = 49
      Height = 17
      Alignment = taCenter
      Anchors = [akTop, akRight]
      AutoSize = False
      Caption = 'Length'
    end
    object WriteLenLabel: TLabel
      Left = 1537
      Top = 32
      Width = 33
      Height = 25
      Alignment = taCenter
      Anchors = [akTop, akRight]
      AutoSize = False
      Caption = '0'
      Layout = tlCenter
    end
    object SuccLabel: TLabel
      Left = 2
      Top = 122
      Width = 1660
      Height = 17
      Align = alBottom
      AutoSize = False
      Layout = tlCenter
    end
    object ReqEdit: TEdit
      Left = 16
      Top = 32
      Width = 33
      Height = 25
      AutoSize = False
      CharCase = ecUpperCase
      TabOrder = 0
      Text = '00'
    end
    object ValueEdit: TEdit
      Left = 56
      Top = 32
      Width = 57
      Height = 25
      AutoSize = False
      CharCase = ecUpperCase
      TabOrder = 1
      Text = '0000'
    end
    object IndexEdit: TEdit
      Left = 120
      Top = 32
      Width = 57
      Height = 25
      AutoSize = False
      CharCase = ecUpperCase
      TabOrder = 2
      Text = '0000'
    end
    object WriteButton: TButton
      Left = 1577
      Top = 32
      Width = 73
      Height = 25
      Anchors = [akTop, akRight]
      Caption = '&Write'
      TabOrder = 3
      OnClick = WriteButtonClick
    end
    object ReadButton: TButton
      Left = 1577
      Top = 64
      Width = 73
      Height = 25
      Anchors = [akTop, akRight]
      Caption = '&Read'
      TabOrder = 4
      OnClick = ReadButtonClick
    end
    object ReadLenEdit: TEdit
      Left = 1537
      Top = 64
      Width = 33
      Height = 25
      Anchors = [akTop, akRight]
      AutoSize = False
      CharCase = ecUpperCase
      TabOrder = 5
      Text = '0'
    end
    object WriteDataEdit: TEdit
      Left = 184
      Top = 32
      Width = 1336
      Height = 25
      Anchors = [akLeft, akTop, akRight]
      AutoSize = False
      CharCase = ecUpperCase
      TabOrder = 6
      OnChange = WriteDataEditChange
    end
    object ReadDataEdit: TEdit
      Left = 16
      Top = 64
      Width = 1504
      Height = 25
      Anchors = [akLeft, akTop, akRight]
      AutoSize = False
      CharCase = ecUpperCase
      ReadOnly = True
      TabOrder = 7
    end
    object SaveButton: TButton
      Left = 16
      Top = 88
      Width = 97
      Height = 25
      Caption = 'Save As Defaults'
      TabOrder = 8
      OnClick = SaveButtonClick
    end
    object AutosaveCheck: TCheckBox
      Left = 120
      Top = 88
      Width = 177
      Height = 25
      Caption = 'Autosave As Defaults'
      Checked = True
      State = cbChecked
      TabOrder = 9
    end
  end
  object SetDefaults: TButton
    Left = 12
    Top = 688
    Width = 185
    Height = 25
    Anchors = [akLeft, akBottom]
    Caption = 'Write Setup Into EEPROM (DEF)'
    TabOrder = 12
    OnClick = SetDefaultsClick
  end
  object RestoreDefaults: TButton
    Left = 204
    Top = 688
    Width = 185
    Height = 25
    Anchors = [akLeft, akBottom]
    Caption = 'Restore Factory Defaults (DEF)'
    TabOrder = 13
    OnClick = RestoreDefaultsClick
  end
  object WatchdogVR: TButton
    Left = 412
    Top = 688
    Width = 177
    Height = 25
    Anchors = [akLeft, akBottom]
    Caption = 'Setup Watchdog VR'
    TabOrder = 14
    OnClick = WatchdogVRClick
  end
  object WatchdogEEPROMVR: TButton
    Left = 596
    Top = 688
    Width = 177
    Height = 25
    Anchors = [akLeft, akBottom]
    Caption = 'Setup Watchdog VR with EEPROM'
    TabOrder = 15
    OnClick = WatchdogEEPROMVRClick
  end
  object docMemo: TMemo
    Left = 456
    Top = 96
    Width = 481
    Height = 225
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'Lucida Console'
    Font.Style = []
    Lines.Strings = (
      
        'Welcome to the Engineering Utility for the new "Firmware 2.0" up' +
        'date for our USB Data Acquisition product line.'
      ''
      
        'The Firmware 2.0 update adds many features to virtually every US' +
        'B DAQ board.  These features are known internally by TLAs (three' +
        ' letter acronyms) as follows:'
      ''
      'DEF: Power-on Defaults'
      'WDG: Watchdog Timer'
      'MAP: Digital Mapping Matrix'
      
        'CLN: Cleanup.  This unifies many firmware features in a new sour' +
        'ce library'
      'PNP: A new "plug and play" data struct'
      'PWR: update the firmwares to report 500mA power requirement'
      'PWM: Pulse Width Modifiable digital outputs'
      'DEB: digital I/O bits can configured for a "debounced" mode'
      'LATCH: Digital inputs can have configurable latches enabled'
      ''
      ''
      
        'This engineering utility will attempt to provide test and evalua' +
        'tion tools for these features.'
      ' ')
    ParentFont = False
    ScrollBars = ssBoth
    TabOrder = 16
  end
  object pnpMemo: TMemo
    Left = 456
    Top = 8
    Width = 481
    Height = 81
    Hint = 'Card Detection Status information'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -16
    Font.Name = 'Lucida Console'
    Font.Style = []
    ParentFont = False
    ScrollBars = ssVertical
    TabOrder = 17
  end
  object dioVR: TButton
    Left = 1380
    Top = 168
    Width = 137
    Height = 25
    Anchors = [akLeft, akBottom]
    Caption = 'Setup DIO VR'
    TabOrder = 18
    OnClick = dioVRClick
  end
  object dioConfigVR: TButton
    Left = 1380
    Top = 200
    Width = 137
    Height = 25
    Anchors = [akLeft, akBottom]
    Caption = 'Setup DIOConfig VR'
    TabOrder = 19
    OnClick = dioConfigVRClick
  end
  object StatusBar1: TStatusBar
    Left = 0
    Top = 859
    Width = 1664
    Height = 19
    Panels = <>
    ParentShowHint = False
    ShowHint = True
    SimplePanel = False
  end
  object ctrPanel: TGroupBox
    Left = 456
    Top = 603
    Width = 433
    Height = 81
    Caption = 'Counter Tools'
    Enabled = False
    TabOrder = 21
    object Label8: TLabel
      Left = 208
      Top = 0
      Width = 55
      Height = 13
      Caption = 'Target Freq'
    end
    object Label9: TLabel
      Left = 296
      Top = 0
      Width = 83
      Height = 13
      Caption = 'Actual Frequency'
    end
    object Label10: TLabel
      Left = 272
      Top = 40
      Width = 7
      Height = 13
      Caption = 'B'
    end
    object Label11: TLabel
      Left = 304
      Top = 40
      Width = 7
      Height = 13
      Caption = 'C'
    end
    object Label12: TLabel
      Left = 336
      Top = 40
      Width = 16
      Height = 13
      Caption = 'M#'
    end
    object Label13: TLabel
      Left = 376
      Top = 40
      Width = 24
      Height = 13
      Caption = 'Load'
    end
    object StartOutputFrequency: TButton
      Left = 16
      Top = 15
      Width = 177
      Height = 25
      Caption = 'CTR StartOutputFrequency'
      TabOrder = 0
      OnClick = StartOutputFrequencyClick
    end
    object ctrModeLost: TButton
      Left = 16
      Top = 48
      Width = 105
      Height = 25
      Caption = 'CTR Mode + Load'
      TabOrder = 1
      OnClick = ctrModeLostClick
    end
    object ctrModeOnly: TButton
      Left = 128
      Top = 48
      Width = 105
      Height = 25
      Caption = 'Mode Only'
      TabOrder = 2
      OnClick = ctrModeOnlyClick
    end
    object ctrBlockEdit: TEdit
      Left = 264
      Top = 52
      Width = 25
      Height = 21
      Hint = 'CTR Block Index'
      TabOrder = 3
      Text = '0'
    end
    object ctrEdit: TEdit
      Left = 296
      Top = 52
      Width = 25
      Height = 21
      Hint = 'CTR Counter Index'
      TabOrder = 4
      Text = '0'
    end
    object ctrModeEdit: TEdit
      Left = 328
      Top = 52
      Width = 25
      Height = 21
      Hint = 'CTR Mode Number (not mode byte)'
      TabOrder = 5
      Text = '2'
    end
    object ctrLoadEdit: TEdit
      Left = 360
      Top = 52
      Width = 49
      Height = 21
      Hint = 'CTR Load Value'
      TabOrder = 6
      Text = '0000'
    end
    object actualFreqEdit: TEdit
      Left = 312
      Top = 14
      Width = 105
      Height = 21
      ReadOnly = True
      TabOrder = 7
      Text = '10000.0'
    end
    object freqEdit: TEdit
      Left = 224
      Top = 14
      Width = 81
      Height = 21
      TabOrder = 8
      Text = '100000.0'
    end
  end
  object dioBox: TGroupBox
    Left = 944
    Top = 8
    Width = 710
    Height = 145
    Anchors = [akLeft, akTop, akRight]
    Caption = 'DIO_ReadAll() '
    TabOrder = 22
    object dioLabel: TLabel
      Left = 2
      Top = 15
      Width = 706
      Height = 128
      Align = alClient
      Alignment = taCenter
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -19
      Font.Name = 'Lucida Console'
      Font.Style = [fsBold]
      ParentFont = False
      Layout = tlCenter
    end
    object dioCB: TCheckBox
      Left = 81
      Top = -1
      Width = 72
      Height = 17
      Alignment = taLeftJustify
      Caption = 'Enabled'
      TabOrder = 0
      OnClick = dioCBClick
    end
    object ltchCB: TCheckBox
      Left = 200
      Top = -2
      Width = 73
      Height = 17
      Caption = 'Latched'
      Enabled = False
      TabOrder = 1
    end
    object debCB: TCheckBox
      Left = 280
      Top = -2
      Width = 81
      Height = 17
      Caption = 'Debounced'
      Enabled = False
      TabOrder = 2
    end
  end
  object ctrBox: TGroupBox
    Left = 944
    Top = 160
    Width = 337
    Height = 161
    Caption = 'CTR_8254ReadAll(I)'
    TabOrder = 23
    object ctrLabel: TLabel
      Left = 2
      Top = 15
      Width = 333
      Height = 144
      Align = alClient
      Alignment = taCenter
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -19
      Font.Name = 'Lucida Console'
      Font.Style = [fsBold]
      ParentFont = False
      Layout = tlCenter
    end
    object ctrCB: TCheckBox
      Left = 112
      Top = -1
      Width = 57
      Height = 17
      Alignment = taLeftJustify
      Caption = 'Enabled'
      TabOrder = 0
    end
  end
  object LATCHPanel: TGroupBox
    Left = 456
    Top = 528
    Width = 161
    Height = 73
    Caption = 'LATCH Config'
    TabOrder = 24
    object Label14: TLabel
      Left = 11
      Top = 24
      Width = 112
      Height = 13
      Caption = 'Tick Divisor (hex 00-FF)'
    end
    object latchEdit: TEdit
      Left = 16
      Top = 40
      Width = 41
      Height = 21
      TabOrder = 0
      Text = '0'
    end
    object latchBtn: TButton
      Left = 64
      Top = 37
      Width = 75
      Height = 25
      Caption = 'Config'
      TabOrder = 1
      OnClick = latchBtnClick
    end
  end
  object DEBPanel: TGroupBox
    Left = 456
    Top = 408
    Width = 161
    Height = 113
    Caption = 'DEBounce Config'
    TabOrder = 25
    object Label15: TLabel
      Left = 11
      Top = 24
      Width = 112
      Height = 13
      Caption = 'Tick Divisor (hex 00-FF)'
    end
    object Label16: TLabel
      Left = 14
      Top = 64
      Width = 94
      Height = 13
      Caption = 'Timeconstant 00-FF'
    end
    object debTickEdit: TEdit
      Left = 16
      Top = 40
      Width = 41
      Height = 21
      TabOrder = 0
      Text = '0'
    end
    object Button1: TButton
      Left = 64
      Top = 77
      Width = 75
      Height = 25
      Caption = 'Config'
      TabOrder = 1
      OnClick = Button1Click
    end
    object debTimeEdit: TEdit
      Left = 16
      Top = 80
      Width = 41
      Height = 21
      TabOrder = 2
      Text = '0'
    end
  end
  object GlobalTickPanel: TGroupBox
    Left = 456
    Top = 328
    Width = 161
    Height = 73
    Caption = 'Global Tick Config'
    Color = clBtnFace
    ParentColor = False
    TabOrder = 26
    object Label17: TLabel
      Left = 8
      Top = 16
      Width = 144
      Height = 13
      Caption = 'Global Tick Divisor FB4F-0001'
    end
    object globalTickEdit: TEdit
      Left = 11
      Top = 35
      Width = 65
      Height = 21
      TabOrder = 0
      Text = '0'
    end
    object Button2: TButton
      Left = 80
      Top = 32
      Width = 75
      Height = 25
      Caption = 'Config'
      TabOrder = 1
      OnClick = Button2Click
    end
  end
  object pwmPanel: TGroupBox
    Left = 624
    Top = 328
    Width = 265
    Height = 273
    Caption = 'PWM Config ( all numbers decimal! ) '
    TabOrder = 27
    object Label18: TLabel
      Left = 16
      Top = 57
      Width = 39
      Height = 13
      Caption = 'bit index'
    end
    object Label19: TLabel
      Left = 70
      Top = 57
      Width = 33
      Height = 13
      Caption = 'Invert?'
    end
    object Label20: TLabel
      Left = 16
      Top = 16
      Width = 86
      Height = 13
      Caption = 'Tick Divisor 0-255'
    end
    object Label21: TLabel
      Left = 116
      Top = 57
      Width = 48
      Height = 13
      Caption = 'duty cycle'
    end
    object Label22: TLabel
      Left = 174
      Top = 16
      Width = 46
      Height = 13
      Caption = 'Count 1-8'
    end
    object pwmBitEdit1: TEdit
      Left = 16
      Top = 96
      Width = 41
      Height = 21
      TabOrder = 0
      Text = '1'
    end
    object pwmBitEdit2: TEdit
      Left = 16
      Top = 120
      Width = 41
      Height = 21
      TabOrder = 1
      Text = '2'
    end
    object pwmBitEdit3: TEdit
      Left = 16
      Top = 144
      Width = 41
      Height = 21
      TabOrder = 2
      Text = '3'
    end
    object pwmBitEdit4: TEdit
      Left = 16
      Top = 168
      Width = 41
      Height = 21
      TabOrder = 3
      Text = '4'
    end
    object pwmBitEdit5: TEdit
      Left = 16
      Top = 192
      Width = 41
      Height = 21
      TabOrder = 4
      Text = '5'
    end
    object pwmBitEdit6: TEdit
      Left = 16
      Top = 216
      Width = 41
      Height = 21
      TabOrder = 5
      Text = '6'
    end
    object pwmBitEdit7: TEdit
      Left = 16
      Top = 240
      Width = 41
      Height = 21
      TabOrder = 6
      Text = '7'
    end
    object pwmBitEdit0: TEdit
      Left = 16
      Top = 72
      Width = 41
      Height = 21
      TabOrder = 7
      Text = '0'
    end
    object pwmTickEdit: TEdit
      Left = 16
      Top = 34
      Width = 49
      Height = 21
      TabOrder = 8
      Text = '200'
    end
    object pwmDutyEdit0: TEdit
      Left = 120
      Top = 72
      Width = 41
      Height = 21
      TabOrder = 9
      Text = '1'
    end
    object pwmDutyEdit1: TEdit
      Left = 120
      Top = 96
      Width = 41
      Height = 21
      TabOrder = 10
      Text = '2'
    end
    object pwmDutyEdit2: TEdit
      Left = 120
      Top = 120
      Width = 41
      Height = 21
      TabOrder = 11
      Text = '3'
    end
    object pwmDutyEdit3: TEdit
      Left = 120
      Top = 144
      Width = 41
      Height = 21
      TabOrder = 12
      Text = '5'
    end
    object pwmDutyEdit4: TEdit
      Left = 120
      Top = 168
      Width = 41
      Height = 21
      TabOrder = 13
      Text = '50'
    end
    object pwmDutyEdit5: TEdit
      Left = 120
      Top = 192
      Width = 41
      Height = 21
      TabOrder = 14
      Text = '100'
    end
    object pwmDutyEdit6: TEdit
      Left = 120
      Top = 216
      Width = 41
      Height = 21
      TabOrder = 15
      Text = '150'
    end
    object pwmDutyEdit7: TEdit
      Left = 120
      Top = 240
      Width = 41
      Height = 21
      TabOrder = 16
      Text = '199'
    end
    object pwmCountEdit: TEdit
      Left = 174
      Top = 32
      Width = 49
      Height = 21
      TabOrder = 17
      Text = '8'
    end
    object pwmConfigButton: TButton
      Left = 174
      Top = 93
      Width = 83
      Height = 25
      Caption = 'Config'
      TabOrder = 18
      OnClick = pwmConfigButtonClick
    end
    object pwmSetCountButton: TButton
      Left = 174
      Top = 61
      Width = 83
      Height = 25
      Caption = 'Set Count Only'
      TabOrder = 19
      OnClick = pwmSetCountButtonClick
    end
    object pwmDebugMemo: TMemo
      Left = 174
      Top = 128
      Width = 83
      Height = 129
      TabOrder = 20
    end
    object pwmInvertCB0: TCheckBox
      Left = 80
      Top = 72
      Width = 25
      Height = 17
      TabOrder = 21
    end
    object pwmInvertCB1: TCheckBox
      Left = 80
      Top = 96
      Width = 25
      Height = 17
      TabOrder = 22
    end
    object pwmInvertCB2: TCheckBox
      Left = 80
      Top = 120
      Width = 25
      Height = 17
      TabOrder = 23
    end
    object pwmInvertCB3: TCheckBox
      Left = 80
      Top = 144
      Width = 25
      Height = 17
      TabOrder = 24
    end
    object pwmInvertCB4: TCheckBox
      Left = 80
      Top = 168
      Width = 25
      Height = 17
      TabOrder = 25
    end
    object pwmInvertCB5: TCheckBox
      Left = 80
      Top = 192
      Width = 25
      Height = 17
      TabOrder = 26
    end
    object pwmInvertCB6: TCheckBox
      Left = 80
      Top = 216
      Width = 25
      Height = 17
      TabOrder = 27
    end
    object pwmInvertCB7: TCheckBox
      Left = 80
      Top = 240
      Width = 25
      Height = 17
      TabOrder = 28
    end
  end
  object mapPanel: TGroupBox
    Left = 896
    Top = 328
    Width = 201
    Height = 385
    Anchors = [akLeft, akTop, akBottom]
    Caption = 'MAP Config'
    TabOrder = 28
    object Label27: TLabel
      Left = 16
      Top = 16
      Width = 59
      Height = 13
      Caption = 'Tick Divisor '
    end
    object Label26: TLabel
      Left = 127
      Top = 16
      Width = 28
      Height = 13
      Caption = 'Count'
    end
    object Label25: TLabel
      Left = 132
      Top = 73
      Width = 28
      Height = 13
      Caption = 'dst bit'
    end
    object Label24: TLabel
      Left = 70
      Top = 73
      Width = 33
      Height = 13
      Caption = 'Invert?'
    end
    object Label23: TLabel
      Left = 16
      Top = 73
      Width = 28
      Height = 13
      Caption = 'src bit'
    end
    object mapSB: TScrollBox
      Left = 2
      Top = 89
      Width = 197
      Height = 294
      Align = alBottom
      Anchors = [akLeft, akTop, akRight, akBottom]
      TabOrder = 0
      object mapSrcEdit0: TEdit
        Left = 8
        Top = 8
        Width = 41
        Height = 21
        TabOrder = 0
        Text = '0'
      end
      object mapInvCB0: TCheckBox
        Left = 72
        Top = 8
        Width = 25
        Height = 17
        TabOrder = 1
      end
      object mapDstEdit0: TEdit
        Left = 120
        Top = 8
        Width = 41
        Height = 21
        TabOrder = 2
        Text = '100'
      end
    end
    object Edit2: TEdit
      Left = 16
      Top = 34
      Width = 49
      Height = 21
      TabOrder = 1
      Text = '200'
    end
    object Edit1: TEdit
      Left = 120
      Top = 32
      Width = 41
      Height = 21
      TabOrder = 2
      Text = '1'
    end
  end
  object RestoreTime: TTimer
    Enabled = False
    Interval = 500
    OnTimer = RestoreTimeTimer
    Left = 229
    Top = 8
  end
  object pnpTimer: TTimer
    Tag = 1
    Interval = 500
    OnTimer = pnpTimerTimer
    Left = 261
    Top = 8
  end
  object daqTimer: TTimer
    Interval = 1
    OnTimer = daqTimerTimer
    Left = 952
    Top = 24
  end
end
